Subject: Re: AF_VSOCK and the LSMs

From: Andy King <[email-masked]>
Date: Fri, 22 Feb 2013 14:54:43 -0800 (PST)

Hi Paul,

> to see if anyone had any strong feelings on this approach (either good or
> bad).  Here is what I am proposing, and currently working on ...
> 
> * Add a LSM secid/blob to the vmci_datagram struct

I think perhaps this is the wrong layer at which to embed this.  Think
of that structure as an ethernet header, with VMCI being ethernet; it's
what the device (and the hypervisor and peer) understand.  So this
really cannot be changed.

It's also not entirely clear to me how this will work in a heterogeneous
environments.  What if there's a Linux guest running on a Windows host,
or vice-versa?

I'll take a closer read at the rest of your mail, but I think we need to
address the above first.

Thanks!
- Andy